package com.jasamedika.medifirst2000.dao;

import java.util.Map;

import org.springframework.data.jpa.domain.Specification;

import com.jasamedika.medifirst2000.entities.StrukOrder;
import com.jasamedika.medifirst2000.vo.OrderPemakaianRuangRapatVO;

public interface OrderPemakaianRuangRapatService {

	Map<String, Object> saveOrderPemakaianRuangRapat(OrderPemakaianRuangRapatVO vo);

	Map<String, Object> findByNoOrder(String noOrder);

	String generateNoOrderByDayMonthAndYear(OrderPemakaianRuangRapatVO vo);

	Map<String, Object> findRuangRapat(String namaRuangan);

	Map<String, Object> findStatusRuangRapat(Long periodeAwal, Long periodeAkhir, Integer idRuangan);

	Map<String, Object> ruangRapatPaging(Integer page, Integer limit, String sort, String dir,
			Specification<StrukOrder> spec1);

}
